package com.weather.modules.weather.filescan.service;

import com.weather.common.page.PageData;
import com.weather.common.service.CrudService;
import com.weather.modules.weather.filescan.dto.DeptFileGroupVO;
import com.weather.modules.weather.filescan.dto.ModelFileGroupVO;
import com.weather.modules.weather.filescan.dto.WeatherFileScanRecordDTO;
import com.weather.modules.weather.filescan.entity.WeatherFileScanRecordEntity;

import java.util.List;
import java.util.Map;

public interface WeatherFileScanRecordService extends CrudService<WeatherFileScanRecordEntity, WeatherFileScanRecordDTO> {

    PageData<WeatherFileScanRecordDTO> page(Map<String, Object> params);

    void archive(Long id);

    List<DeptFileGroupVO> getDeptFileTree(Long deptId);

    ModelFileGroupVO getModelFiles();
}
